Subject: Re: Missing patch for MPC5200B register definitions?

From: Matt Sealey <[email-masked]>
Date: Wed, 26 Mar 2008 16:48:50 +0000

Oh yes, I forgot.. also, the new MPC5121E stuff includes a lot of unions and
defines to make using both PSC formats easier.

Since the MPC5200 and MPC5200B PSC structures are different (CCR size), can the
original suggestion (in that thread) to support both with a union and some
defines to make supporting both CCR sizes, be implemented, or do we still think
that MPC5200 (not B) is not worth supporting?

-- 
Matt Sealey <[email-masked]>
Genesi, Manager, Developer Relations

Matt Sealey wrote:
> I've just been looking into the MPC5200B AC97 driver breakage with the
> latest Git kernel, and found the following patch;
> 
> http://ozlabs.org/pipermail/linuxppc-dev/2007-May/035952.html
> 
> Is not in the latest tree. As such anything which uses the new MPC5200B
> registers (especially important on AC97 and probably not used otherwise)
> has not or was not applied.
> 
> Since the latest kernel source from git actually includes the MPC5121E
> differences, I assume this is a regression?
> 
> How do we go about fixing this?
>